- Qt 6.8
- Qt GUI
- C++ Classes
- QtGuiPrivate
- TargetBlend
- Qt 6.8.3 Reference Documentation

# TargetBlend Struct

struct QRhiGraphicsPipeline::TargetBlend

Describes the blend state for one color attachment. More...

This struct was introduced in Qt 6.6.

- List of all members, including inherited members

## Public Variables

QRhiGraphicsPipeline::ColorMask | colorWrite
QRhiGraphicsPipeline::BlendFactor | dstAlpha
QRhiGraphicsPipeline::BlendFactor | dstColor
bool | enable
QRhiGraphicsPipeline::BlendOp | opAlpha
QRhiGraphicsPipeline::BlendOp | opColor
QRhiGraphicsPipeline::BlendFactor | srcAlpha
QRhiGraphicsPipeline::BlendFactor | srcColor

## Detailed Description

Defaults to color write enabled, blending disabled. The blend values are set up for pre-multiplied alpha (One, OneMinusSrcAlpha, One, OneMinusSrcAlpha) by default. This means that to get the alpha blending mode Qt Quick uses, it is enough to set the `enable` flag to true while leaving other values at their defaults.

Note: This is a RHI API with limited compatibility guarantees, see QRhi for details.

## Member Variable Documentation

### QRhiGraphicsPipeline::ColorMask TargetBlend::colorWrite

### QRhiGraphicsPipeline::BlendFactor TargetBlend::dstAlpha

### QRhiGraphicsPipeline::BlendFactor TargetBlend::dstColor

### bool TargetBlend::enable

### QRhiGraphicsPipeline::BlendOp TargetBlend::opAlpha

### QRhiGraphicsPipeline::BlendOp TargetBlend::opColor

### QRhiGraphicsPipeline::BlendFactor TargetBlend::srcAlpha

### QRhiGraphicsPipeline::BlendFactor TargetBlend::srcColor